# Documentation Specfile
%define HTMLVIEW %(test "%{?dist}" == ".el5" && echo 1 || echo 0)
%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN
Version:      1
Release:      21%{?dist}

Summary:      Malayalam translation of Release_Notes
Summary(ml-IN):    Release Notes for Red Hat Enterprise Linux 6


Group:         Documentation
License:       CC-BY-SA
URL:           http://www.redhat.com/docs
Source:        %{name}-%{version}-21.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif

%description
Malayalam translation of Release_Notes

%description -l ml-IN
The Release Notes document the major features and enhancements
implemented in the Red Hat Enterprise Linux 6 release.

%prep
%setup -q

%build
publican build --formats="html-desktop" --langs=ml-IN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

%if %{ICONS}
for icon in `ls icons/*x*.png`; do
	size=`echo "$icon" | sed -e 's/icons\/\(.*\)\.png/\1/'`;
	mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
	cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.png;
done
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.svg;
%else
cp images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6: Release Notes
Comment=Release Notes for Red Hat Enterprise Linux 6
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-ml-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/ml-IN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Thu Aug 12 2010 Ryan Lerch <rlerch@redhat.com> 1
- Initial version of the Red Hat Enterprise Linux 6 Release Notes 



